## List Buckets `client.R2.Buckets.List(ctx, params) (*BucketListResponse, error)` **get** `/accounts/{account_id}/r2/buckets` Lists all R2 buckets on your account. ### Parameters - `params BucketListParams` - `AccountID param.Field[string]` Path param: Account ID. - `Cursor param.Field[string]` Query param: Pagination cursor received during the last List Buckets call. R2 buckets are paginated using cursors instead of page numbers. - `Direction param.Field[BucketListParamsDirection]` Query param: Direction to order buckets. - `const BucketListParamsDirectionAsc BucketListParamsDirection = "asc"` - `const BucketListParamsDirectionDesc BucketListParamsDirection = "desc"` - `NameContains param.Field[string]` Query param: Bucket names to filter by. Only buckets with this phrase in their name will be returned. - `Order param.Field[BucketListParamsOrder]` Query param: Field to order buckets by. - `const BucketListParamsOrderName BucketListParamsOrder = "name"` - `PerPage param.Field[float64]` Query param: Maximum number of buckets to return in a single call. - `StartAfter param.Field[string]` Query param: Bucket name to start searching after. Buckets are ordered lexicographically. - `Jurisdiction param.Field[BucketListParamsCfR2Jurisdiction]` Header param: Jurisdiction where objects in this bucket are guaranteed to be stored. - `const BucketListParamsCfR2JurisdictionDefault BucketListParamsCfR2Jurisdiction = "default"` - `const BucketListParamsCfR2JurisdictionEu BucketListParamsCfR2Jurisdiction = "eu"` - `const BucketListParamsCfR2JurisdictionFedramp BucketListParamsCfR2Jurisdiction = "fedramp"` ### Returns - `type BucketListResponse struct{…}` - `Buckets []Bucket` - `CreationDate string` Creation timestamp. - `Jurisdiction BucketJurisdiction` Jurisdiction where objects in this bucket are guaranteed to be stored. - `const BucketJurisdictionDefault BucketJurisdiction = "default"` - `const BucketJurisdictionEu BucketJurisdiction = "eu"` - `const BucketJurisdictionFedramp BucketJurisdiction = "fedramp"` - `Location BucketLocation` Location of the bucket. - `const BucketLocationApac BucketLocation = "apac"` - `const BucketLocationEeur BucketLocation = "eeur"` - `const BucketLocationEnam BucketLocation = "enam"` - `const BucketLocationWeur BucketLocation = "weur"` - `const BucketLocationWnam BucketLocation = "wnam"` - `const BucketLocationOc BucketLocation = "oc"` - `Name string` Name of the bucket. - `StorageClass BucketStorageClass` Storage class for newly uploaded objects, unless specified otherwise. - `const BucketStorageClassStandard BucketStorageClass = "Standard"` - `const BucketStorageClassInfrequentAccess BucketStorageClass = "InfrequentAccess"` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/r2" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) buckets, err := client.R2.Buckets.List(context.TODO(), r2.BucketListParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", buckets.Buckets) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ "string" ], "result": { "buckets": [ { "creation_date": "creation_date", "jurisdiction": "default", "location": "apac", "name": "example-bucket", "storage_class": "Standard" } ] }, "success": true, "result_info": { "cursor": "1-JTdCJTIydiUyMiUzQTElMkMlMjJzdGFydEFmdGVyJTIyJTNBJTIyZGF2aWRwdWJsaWMlMjIlN0Q=", "per_page": 20 } } ```